apt 3.1.11 commandline package manager

Public Member Functions | List of all members
pkgCache::SrcVerIterator Class Reference
Inheritance diagram for pkgCache::SrcVerIterator:

## Public Member Functions
SourceVersion * | OwnerPointer () const
APT_PURE GrpIterator | Group () const
const char * | VerStr () const
| SrcVerIterator (pkgCache &Owner, SourceVersion *Trg=0)
Public Member Functions inherited from pkgCache::Iterator< SourceVersion, SrcVerIterator >
bool | end () const
bool | operator== (const SrcVerIterator &B) const
bool | operator!= (const SrcVerIterator &B) const
SourceVersion * | operator-> ()
| operator SourceVersion * ()
| operator SourceVersion const * () const
SourceVersion & | operator* ()
pkgCache * | Cache () const
bool | IsGood () const
unsigned long | Index () const
map_pointer< SourceVersion > | MapPointer () const
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< SourceVersion, SrcVerIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< SourceVersion, SrcVerIterator >
SourceVersion * | S
pkgCache * | Owner

The documentation for this class was generated from the following file:

- apt-pkg/cacheiterators.h